use std::{error::Error, fmt::Display};

pub trait Solution {
    fn part1(&self, input: &mut Vec<String>) -> Result<Box<dyn Display>, Box<dyn Error>>;
    fn part2(&self, input: &mut Vec<String>) -> Result<Box<dyn Display>, Box<dyn Error>>;
    fn get_day(&self) -> u8;
}
